package de.hszg.fei.ListBeispiel;

import de.hszg.fei.ListBeispiel.R;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class ListBeispiel extends Activity
                          implements AdapterView.OnItemClickListener {
	
	private static String[] items = { "eins", "zwei", "drei" };
	
	private ArrayAdapter<String> arrayAdapter;
	private TextView label;
	private ListView listView;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        label = (TextView)findViewById(R.id.label);
        listView = (ListView)findViewById(R.id.listview);
        
        arrayAdapter = new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1, items);
        
        listView.setAdapter(arrayAdapter);
        listView.setOnItemClickListener(this);
    }
    
    public void onItemClick(AdapterView aview, View view, int position, long id) {
    	label.setText(items[position]);
    }
}